develooper Front page | perl.perl5.porters | Postings from February 2018

Re: [perl #132900] Blead Breaks CPAN: FELIPE/Crypt-Perl-0.17.tar.gz

Thread Previous | Thread Next
From:
Zefram
Date:
February 23, 2018 00:11
Subject:
Re: [perl #132900] Blead Breaks CPAN: FELIPE/Crypt-Perl-0.17.tar.gz
Message ID:
20180223001140.y6h4uf4r2tvlbtur@fysh.org
The failing dep isn't used by the failing test, so it's not too difficult
to explore the intermediate versions.  The test passes on 5.27.8.
The problem bisects to commit ab1efbdc1f74b2f4db076efa0b4d54f387d74efe
"regexec.c: Use word-at-a-time to repeat a single byte pattern".
The test case reduces to

$ perl5.27.8 -lwe 'print +("\x80" x 9) =~ m<\A\x80+\z> ? "yes" : "no"'
yes
$ perl5.27.9 -lwe 'print +("\x80" x 9) =~ m<\A\x80+\z> ? "yes" : "no"'
no

Clearly a newly-introduced core bug.

-zefram

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About